diff -Naur SuperLU_4.3/INSTALL/dlamchtst.c spack-src/INSTALL/dlamchtst.c
--- SuperLU_4.3/INSTALL/dlamchtst.c	2011-10-27 21:49:47.000000000 +0200
+++ spack-src/INSTALL/dlamchtst.c	2024-08-30 21:05:04.519850548 +0200
@@ -1,7 +1,7 @@
 #include <stdio.h>
 
 
-main()
+int main()
 {
     /* Local variables */
     double base, emin, prec, emax, rmin, rmax, t, sfmin;
